Prometheus
probe Prometheus

# query

Run an instant query against a Prometheus server and returns its result as-is

Run it now
View details

Type | probe
Module | chaosprometheus.probes
Name | query
Return | mapping

Usage

JSON

    {
      "name": "query",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosprometheus.probes",
        "func": "query",
        "arguments": {
          "query": ""
        }
      }
    }

YAML

    name: query
    provider:
      arguments:
        query: ""
      func: query
      module: chaosprometheus.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
query | string |  | Yes | Query | Instant query to run
when | string | null | No | Period Start | When to start the query from. Passed as RFC 3339 or relative such as “5 minutes ago”
timeout | number | null | No | Timeout | How long to wait to fetch the results for the query

Signature

    def query(query: str,
              when: str = None,
              timeout: float = None,
              configuration: Dict[str, Dict[str, str]] = None,
              secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Prometheus
  probe Prometheus

  ## `query_interval`

  Run a range query against a Prometheus server and returns its result as-is
- Prometheus
  probe Prometheus

  ## `query_interval`

  Run a range query against a Prometheus server and returns its result as-is
- Kubernetes
  probe Node

  ## `get_all_node_status_conditions`

  Retrieve all nodes conditions and statuses.